/*RESET*/
* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	text-decoration: none;
	outline: inherit;
    -webkit-transition: all .2s ease;
            transition: all .2s ease;
}

:hover {
    -webkit-transition: all .2s ease;
            transition: all .2s ease;
}
::-webkit-scrollbar {
    width:10px;
} 
::-webkit-scrollbar-track {
    background:#999999;
} 
::-webkit-scrollbar-thumb {
	background:rgb(0,0,0,0.5);
}


/*FONTS*/
@import url('https://fonts.googleapis.com/css2?family=Inter&family=Montserrat:wght@400;700&display=swap');

p,
.paragraph,
li {
    font-size: 18px;
    line-height: 150%;
    margin: 10px 0;
}
h1 {
    font-family: 'Montserrat', sans-serif;
    font-size: 60px;
    font-weight: 700;
    line-height: 110%;
    margin: 10px 0;
}
h2,
.h2 {
    font-family: 'Montserrat', sans-serif;
    font-size: 48px;
    font-weight: 700;
    line-height: 110%;
    margin: 10px 0;
}
h3,
.h3 {
    font-family: 'Montserrat', sans-serif;
    font-size: 36px;
    font-weight: 700;
    line-height: 110%;
    margin: 10px 0;
}
h4,
.h4 {
    font-family: 'Montserrat', sans-serif;
    font-size: 24px;
    font-weight: 700;
    line-height: 110%;
    margin: 10px 0;
}
.overline-slate {
    background: url(../images/icons/shine-slate.svg) no-repeat left top;
    background-size: auto 16px;
}
.overline-white {
    background: url(../images/icons/shine-white.svg) no-repeat left top;
    background-size: auto 16px;
}
.overline-slate p,
.overline-white p,
.overline-slate .paragraph,
.overline-white .paragraph {
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 7px;
    padding-left: 30px;
    position: relative;
}

/*OBJECTS*/
img {
    max-width: 100%;
    height: auto;
}

.hamburger {
    width: 40px;
    height: 40px;
    background: #F8F8F8;
    border-radius: 5px;
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
    display: none;
}

.btn {
    font-family: 'Montserrat', sans-serif;
    display: inline-block;
    font-weight: 700;
    padding: 20px;
    border-radius: 10px;
    font-size: 16px;
    letter-spacing: 1px;
}
.btn:hover,
.btn:focus {
    cursor: pointer;
}

.btn-navy {
    background: #006FBA;
    color: white;
    border-bottom: 1px solid white;
}
.btn-navy:hover,
.btn-navy:focus {
    background: #24338A;
}

.btn-blue {
    border: 1px solid #006FBA;
    color: #006FBA;
}
.btn-blue:hover,
.btn-blue:focus {
    background: #24338A;
    color: white;
}

.btn-white {
    border: 1px solid white;
    color: white;
}
.btn-white:hover,
.btn-white:focus {
    background: white;
    color: #006FBA;
}

.btn-blur {
    background: rgba(255,255,255,.5);
    border-bottom: 1px solid white;
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
}
.btn-blur:hover,
.btn-blur:focus {
    background: white;
    color: #006FBA;
}

.map {
    width: 100%;
    height: 500px;
    border: none;
    border-radius: 10px;
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
}


/*LINKS*/
a:link,
a:hover,
a:visited,
a:active {
    color: inherit;
    text-decoration: none;
}
a:link {
    text-decoration: none;
}
a:hover {
    text-decoration: none;
}


/*CONTAINERS*/

body {
    width: 100%;
    height: 100vh;
    position: relative;
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    color: #2F4B5E;
}

section {
    width: 95%;
    max-width: 1440px;
    margin: 0 auto;
    position: relative;
}

header {
    width: 100%;
    height: 110px;
    margin: 0;
    position: fixed;
    top: 0;
    z-index: 1000;
    background: rgba(255,255,255,0.7);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
}
header section {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
}
header section img {
    height: 125px;
    width: auto;
}
header section nav {
    text-align: right;
}
header section nav p.btn {
    display: inline-block;
    font-weight: 700;
    border-radius: 0 0 10px 10px;
    margin: 0;
    padding: 10px 20px;
}
header section nav ul {
    list-style: none;
    padding-top: 15px;
}
header section nav ul li {
    font-family: 'Montserrat', sans-serif;
    display: inline-block;
    font-size: 16px;
    font-weight: 700;
}
header section nav ul li:hover,
header section nav ul li:focus {
    color: #006FBA;
}

main {
    width: 100%;
    position: relative;
}

.hero {
    width: 100%;
    position: relative;
}
.hero h1,
.hero .overline-slate {
    position: relative;
    z-index: 100;
}

.container {
    width: 100%;
    padding: 100px 0;
    position: relative;
    overflow: hidden;
}

.columns {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
    gap: 40px;
}
.col13 {
    width: calc(33.33% - 40px);
}
.col12 {
    width: calc(50% - 75px);
}
.col14 {
    width: calc(25% - 40px);
}

.service-tile img {
    border-radius: 10px;
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
}
.service-tile .tile-content {
    padding: 0 20px;
}
.service-tile .tile-content h3,
.service-tile .tile-content h4 {
    color: #24338A;
}

.gallery {
    padding: 0;
}
.gallery .right {
    display: none;
}
.gallery .main-carousel {
    width: 100%;
    padding: 100px 0;
    position: absolute;
    top: 0;
    left:0;
}
.gallery .main-carousel:after {
    content: '';
    width: 50%;
    height: 100%;
    background: rgba(255,255,255,.7);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
    position: absolute;
    top: 0;
    left: 0;
}
.gallery .main-carousel .carousel-cell-blank {
    width: 50%;
}
.gallery .main-carousel .carousel-cell-gap {
    width: 20px;
}
.gallery .main-carousel .carousel-cell {
    margin-right: 20px;
}
.gallery .main-carousel .carousel-cell img {
    border-radius: 10px;
    max-width: 600px;
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
}
.gallery .gallery-content {
    padding: 200px 0;
    pointer-events: none;
    position: relative;
    z-index: 200;
}
.gallery .gallery-content .btn {
    pointer-events: auto;
}

.suppliers img {
    max-width: 250px;
    border-radius: 10px;
    background: rgba(255,255,255,.5);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
    margin-right: 20px;
}

#about-us .col12:nth-child(2),
#about-us-2 .col12:nth-child(2) {
    padding: 100px 0;
}

#window-types .col12,
#door-types .col12 {
    width: calc(50% - 20px);
}
#contact-us .col12 {
    width: calc(50% - 40px);
}
#glass-mirror-types .columns,
#commercial-types .columns {
    gap: 20px;
}
#glass-mirror-types .col14,
#commercial-types .col14 {
    width: calc(25% - 20px);
}
#gallery-types .columns {
    gap: 20px;
}
#gallery-types .col13 {
    width: calc(33.33% - 20px);
}

.review-carousel {
    margin-bottom: 20px;
}
.reviews h3 {
    padding-right: 110px;
}
.reviews .review {
    width: 450px;
    background: rgba(255,255,255,.5);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
    border-radius: 10px;
    padding: 20px;
    margin-right: 20px;
}
.reviews .review strong {
    color: #24338A;
}
.reviews .review .stars {
    height: 17px;
    background: url(../images/icons/star.svg) repeat-x left center;
    background-size: contain;
}
.reviews .review .stars-5 {
    width: 86px;
}

footer {
    background: #24338A;
    color: white;
}
footer .contact-banner {
    background: url(../images/banners/window-sky.webp) no-repeat center left;
    background-size: cover;
    padding: 100px 0;
}
footer .bottom-footer {
    padding: 50px 0;
}
footer .bottom-footer .columns {
    align-items: flex-start;
}
footer .bottom-footer .footer-logo {
    max-width: 240px;
}
footer .bottom-footer .columns:nth-child(2) {
    width: calc(100% - 300px);
}
footer .bottom-footer .facebook {
    background: url(../images/icons/facebook.svg) no-repeat left center;
    background-size: 25px 25px;
    padding-left: 35px;
}
footer .bottom-footer .instagram {
    background: url(../images/icons/instagram.svg) no-repeat left center;
    background-size: 25px 25px;
    padding-left: 35px;
}
footer .bottom-footer ul {
    list-style: none;
    width: 100%;
}
footer .bottom-footer ul li {
    display: inline;
    margin-right: 50px;
}
footer .bottom-footer ul li img {
    height: 30px;
    transform: translateY(7px);
}


/*MODAL*/
.modal {
    display: none;
    position: fixed;
    z-index: 2000;
    padding: 20px 0;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: rgba(255,255,255,.7);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
    -webkit-overflow-scrolling: touch;
}
.modal.display {
    display: block;
}
.modal-content {
    margin: auto;
    padding: 50px 20px 20px;
    width: 95%;
    max-width: 532px;
    background: rgba(255,255,255,.5);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
    border-radius: 10px;
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
    height: auto;
    animation-name: animatetop;
    animation-duration: 0.4s;
    position: relative;
}
.modal-content img {
    max-width: 250px;
}
.modal-content ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
    gap: 10px;
}
.modal-content ul li {
    display: inline-block;
    width: calc(50% - 10px);
    text-align: center;
    font-size: 16px;
    font-weight: 700;
    padding: 20px;
    background: rgba(255,255,255,.5);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
    border-radius: 10px;
    box-shadow: 10px 10px 40px 0px rgba(36,51,138,.2);
    outline: none;
    -webkit-appearance: none;
    margin: 7px 0;
    border-bottom: 1px solid white;
    overflow: hidden;
}
.modal-content ul li:hover,
.modal-content ul li:focus {
    box-shadow: none;
    color: #006FBA;
}
.close {    
    position: absolute;
    top: 10px;
    right: 10px;
    font-family: 'Montserrat', sans-serif;
    color: #2F4B5E;
    font-size: 48px;
}
.close:hover,
.close:focus {
    color: #006FBA;
    text-decoration: none;
    cursor: pointer;
}
@keyframes animatetop {
    from {
        transform: scale(0);
        transform-origin: center center;
        bottom: -200px;
        opacity: 0;
    }
    to {
        transform: scale(1);
        transform-origin: center center;
        bottom: 0;
        opacity: 1;
    }
}


/*BACKGROUND IMAGES*/
#commercial {
    background: url(../images/banners/commercial-hero.webp) no-repeat center #f9f9f9;
    background-size: cover;
}
#commercial:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(90deg, #F8F8F8 0%, rgba(248,248,248,0) 100%);
}
#windows {
    background: url(../images/banners/window-hero.webp) no-repeat center #f9f9f9;
    background-size: cover;
    padding: 250px 0 100px;
}
#doors {
    background: url(../images/banners/doors-hero.webp) no-repeat center #f9f9f9;
    background-size: cover;
    padding: 250px 0 100px;
}
#glass-mirror {
    background: url(../images/banners/glass-mirror-hero.webp) no-repeat center #f9f9f9;
    background-size: cover;
    padding: 250px 0 100px;
}
#commercial-services {
    background: url(../images/banners/commercial-hero.webp) no-repeat center #f9f9f9;
    background-size: cover;
    padding: 250px 0 100px;
}
#our-work {
    background: url(../images/banners/gallery-hero.webp) no-repeat center #f9f9f9;
    background-size: cover;
    padding: 250px 0 100px;
}
#contact {
    background: url(../images/banners/window-sky.webp) no-repeat center #f9f9f9;
    background-size: cover;
    padding: 250px 0 100px;
}
#windows:after,
#doors:after,
#glass-mirror:after,
#commercial-services:after,
#our-work:after,
#about:after,
#contact:after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(255,255,255,.5);
    -webkit-backdrop-filter: blur(15px);
            backdrop-filter: blur(15px);
}


/*MODIFIERS*/
.left {
    text-align: left;
}
.right {
	text-align: right;
}
.center {
	text-align: center;
}
.justify {
	text-align: justify;
}

.mw-960 {
    max-width: 960px;
}
.mw-700 {
    max-width: 700px;
}
.mw-600 {
    max-width: 600px;
}

.ml-50 {
    margin-left: 50px;
}
.mt-100 {
    margin-top: 100px;
}
.mt-50 {
    margin-top: 50px;
}
.space {
    height: 100px;
}


/*COLOURS*/ 
.navy {
    color: #006FBA;
}
.sky {
    color: #009EDE;
}
.royal {
    color: #24338A;
}
.slate {
    color: #2F4B5E;
}
.white {
    color: white;
}

.bg-grey {
    background: #F8F8F8;
}


/*MEDIA QUERIES*/


@media (max-width: 1250px) {
    header section img {
        height: 110px;
        margin-top: 15px;
    }

    footer .bottom-footer .footer-logo {
        display: none;
    }
    footer .bottom-footer .columns:nth-child(2) {
        width: 100%;
    }

    .gallery {
        padding: 100px 0;
    }
    .gallery .right {
        display: block;
    }
    .gallery .main-carousel {
        position: relative;
        padding: 0;
    }
    .gallery .main-carousel:after {
        display: none;
    }
    .gallery .gallery-content {
        padding: 0;
    }
    .gallery .gallery-content .mw-600 {
        max-width: none;
    }
    .gallery .gallery-content .btn {
        display: none;
    }
    .gallery .main-carousel .carousel-cell-blank {
        width: 20px;
    }
    .gallery .main-carousel .carousel-cell img {
        max-width: 500px;
    }

    #about-us .col12,
    #about-us-2 .col12 {
        width: calc(50% - 40px);
    }
}



@media (max-width: 1024px) {
    #glass-mirror-types .col14,
    #commercial-types .col14 {
        width: calc(33.33% - 20px);
    }
}


@media (max-width: 960px) {
    .gallery .main-carousel .carousel-cell img {
        max-width: 400px;
    }

    #about-us .col12,
    #about-us-2 .col12,
    #gallery-types .col13 {
        width: calc(50% - 20px);
    }
    #contact-us .col12 {
        width: 100%;
    }

    footer .bottom-footer .col14 {
        width: calc(50% - 20px);
    }

    footer .bottom-footer ul {
        text-align: left;
    }
    footer .bottom-footer ul li {
        margin-right: 50px;
    }
}


@media (max-width: 768px) {
    p,
    li {
        font-size: 16px;
    }
    h1 {
        font-size: 50px;
    }
    h2 {
        font-size: 38px;
    }
    h3 {
        font-size: 26px;
    }
    h4 {
        font-size: 18px;
    }
    .overline-slate {
        background: url(../images/icons/shine-slate.svg) no-repeat left top;
        background-size: auto 14px;
    }
    .overline-white {
        background: url(../images/icons/shine-white.svg) no-repeat left top;
        background-size: auto 14px;
    }
    .overline-slate p,
    .overline-white p {
        font-size: 12px;
        padding-left: 30px;
    }
    .btn {
        font-size: 14px;
    }

    .gallery .main-carousel .carousel-cell img {
        max-width: 300px;
    }

    #about-us .col12,
    #about-us-2 .col12,
    #window-types .col12,
    #door-types .col12 {
        width: 100%;
    }
    #about-us .col12:first-child,
    #about-us-2 .col12:first-child {
        height: 400px;
    }
    #about-us .col12:nth-child(2) {
        padding: 0 20px;
    }
    #about-us-2 .col12:nth-child(2) {
        padding: 0;
    }
    #about-us-2 .mt-100 {
        margin-top: 0;
    }

    #glass-mirror-types .col14,
    #commercial-types .col14 {
        width: calc(50% - 20px);
    }

    footer .contact-banner {
        background: url(../images/banners/window-sky-mobile.webp) no-repeat left bottom;
        background-size: cover;
        padding: 100px 0 80%;
    }
}


@media (max-width: 532px) {
    h1 {
        font-size: 45px;
    }

    header section nav p.btn {
        display: none;
    }

    footer .bottom-footer .col14 {
        width: 100%;
    }

    .reviews .review {
        width: 320px;
    }

    #glass-mirror-types .col14,
    #commercial-types .col14,
    #gallery-types .col13 {
        width: 100%;
    }
}